# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

### [0.10.69](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.68&sourceBranch=refs%2Ftags%2Fv0.10.69) (2023-06-15)

### [0.10.68](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.67&sourceBranch=refs%2Ftags%2Fv0.10.68) (2023-05-26)

### [0.10.67](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.66&sourceBranch=refs%2Ftags%2Fv0.10.67) (2023-01-25)


### Bug Fixes

* :bug: Yarn Debian key expired. ([bd3c325](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/bd3c3253425042292573a28f8e03583910c89ffa))

### [0.10.66](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.65&sourceBranch=refs%2Ftags%2Fv0.10.66) (2022-09-02)

### [0.10.65](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.64&sourceBranch=refs%2Ftags%2Fv0.10.65) (2022-04-12)

### [0.10.64](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.63&sourceBranch=refs%2Ftags%2Fv0.10.64) (2022-04-08)


### Bug Fixes

* fix missing quote and curly braces ([a552472](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/a5524728e97f51cab21206ff09271d986679f367))

### [0.10.63](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.62&sourceBranch=refs%2Ftags%2Fv0.10.63) (2022-03-31)


### Bug Fixes

* Alert when hitting the log quota ([a78ef2f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/a78ef2f2ba46c5660bc4b37ef822b9dbb3266c51))

### [0.10.62](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.61&sourceBranch=refs%2Ftags%2Fv0.10.62) (2022-03-23)


### Bug Fixes

* capitalize ACL statement properties ([5d75973](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5d75973a8be23f0bc70fb58df254b895a482be8e))

### [0.10.61](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.60&sourceBranch=refs%2Ftags%2Fv0.10.61) (2022-03-15)


### Features

* New construct - Datadog log index monitoring ([e8cfc84](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/e8cfc84457f6fdd747e4586305ae6220a239e896))
* New construct - Datadog log index monitoring ([d60e468](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d60e468380d81693464a1bc155c063f58fed17ce))
* New construct - Kafka Topic construct (including event spec support) ([21b67a3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/21b67a311735371634eddb8c78a11131ee8990a2))
* New construct - Kafka Topic construct (including event spec support) ([06955c8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/06955c8fc6595602917c33d9e51039ec95524d93))

### [0.10.60](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.59&sourceBranch=refs%2Ftags%2Fv0.10.60) (2022-03-07)


### Features

* log verbosely where to look for the secrets file ([4aac87d](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4aac87d59fb3532ea39fd20b62cd1d15f0e51e30))
* log verbosely where to look for the secrets file ([927ac68](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/927ac68297e6f67e2d8df2ebae51a013195bdad8))
* log verbosely where to look for the secrets file ([9e94cf2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/9e94cf245dbda4a9d8aa3ac9fcc075c5f5337684))

### [0.10.59](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.58&sourceBranch=refs%2Ftags%2Fv0.10.59) (2022-02-24)


### Features

* :sparkles: Allow setting up the path of encrypted secrets file to deploy using SOPS ([f82132b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f82132bfdc1e9ff80e9b9cc8559e22fe4ee757c7))


### Bug Fixes

* Fix issue with secrets deploy codebuild step not failing even when decrypting / deploying of secrets failes ([43e67ad](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/43e67ade7efa0247f8289fed24120e817628346f))

### [0.10.58](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.57&sourceBranch=refs%2Ftags%2Fv0.10.58) (2022-02-07)

### [0.10.57](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.56&sourceBranch=refs%2Ftags%2Fv0.10.57) (2022-02-07)

### [0.10.56](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.55&sourceBranch=refs%2Ftags%2Fv0.10.56) (2022-02-01)


### Bug Fixes

* :bug: Fixed wrong service name taken for log error datadog monitor ([130d685](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/130d68529428ff777389e46931969acf1120d4e3))

### [0.10.55](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.54&sourceBranch=refs%2Ftags%2Fv0.10.55) (2022-02-01)


### Features

* added support for error log monitors in fargate watchful construct ([cb8265e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/cb8265e4a3a83bf935d4d6b61201f3c9a52fd2e6))

### [0.10.54](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.53&sourceBranch=refs%2Ftags%2Fv0.10.54) (2022-01-28)

### [0.10.53](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.52&sourceBranch=refs%2Ftags%2Fv0.10.53) (2022-01-27)


### Bug Fixes

* added fixed version in the parent. Until future of projen is decided this should at least work for now ([b1cf736](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b1cf736f95e7d115ee39ae37287b2772ca222a48))

### [0.10.52](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.51&sourceBranch=refs%2Ftags%2Fv0.10.52) (2022-01-27)


### Bug Fixes

* added cdkversion directly in fargate construct ([33041a5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/33041a5225d3602d273448e3e2970e39403a2797))

### [0.10.51](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.50&sourceBranch=refs%2Ftags%2Fv0.10.51) (2022-01-27)


### Bug Fixes

* add fixed cdkversion to downgrade to 1.x again ([90233aa](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/90233aa7fce7db3f979d8e34b373a5b079a9c388))

### [0.10.50](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.49&sourceBranch=refs%2Ftags%2Fv0.10.50) (2022-01-26)


### Bug Fixes

* updated to latest projen version to address issue with shelljs in version 0.8.4 ([b7f7208](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b7f72083e6ae29efa77a97726774dd56c5e53200))

### [0.10.49](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.47&sourceBranch=refs%2Ftags%2Fv0.10.49) (2022-01-26)


### Bug Fixes

* increased fargate web app to use latest cdk 1 release ([cc5499a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/cc5499a7d0ce31bd85481799a577decb66080a3c))
* revert back to old structure ([2463bd9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/2463bd91c3576ee9c95acc6e673bc39628ab41bf))

### [0.10.48](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.47&sourceBranch=refs%2Ftags%2Fv0.10.48) (2022-01-26)


### Bug Fixes

* increased fargate web app to use latest cdk 1 release ([cc5499a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/cc5499a7d0ce31bd85481799a577decb66080a3c))

### [0.10.47](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.46&sourceBranch=refs%2Ftags%2Fv0.10.47) (2022-01-26)


### Bug Fixes

* changed dependencies to match cdkV2 constructs. ([9f094c9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/9f094c9b9942e1d192ba26324cbe853d18d082a5))

### [0.10.46](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.45&sourceBranch=refs%2Ftags%2Fv0.10.46) (2022-01-25)


### Bug Fixes

* fixed broken test ([df5079b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/df5079b6c0661ba602a256a378253d15841e45b3))

### [0.10.45](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.44&sourceBranch=refs%2Ftags%2Fv0.10.45) (2022-01-25)


### Features

* **projen:** improve reset sample code task ([5df122b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5df122b7e4a9c165ba01684df006f97baf11ec3e))


### Bug Fixes

* removed npm test as this one fails to make construct work again in the first place ([7a790b8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7a790b8366ee3c1903e004c8e209959f337fa11f))

### [0.10.44](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.43&sourceBranch=refs%2Ftags%2Fv0.10.44) (2021-12-16)


### Features

* **projen:** add constructs to renovate config ([3581f4d](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3581f4d7ef658b7a66986093409c825d663c1f36))

### [0.10.43](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.42&sourceBranch=refs%2Ftags%2Fv0.10.43) (2021-12-15)


### Bug Fixes

* **projen:** anti-tamper-check blocks projen ([d0d1d39](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d0d1d39a2288326fede058dcb295043686d52c6a))

### [0.10.42](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.41&sourceBranch=refs%2Ftags%2Fv0.10.42) (2021-12-15)


### Bug Fixes

* **projen:** do not enforce specific projen version ([ab1d68c](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ab1d68c675518293928d94551397d2bd4c89dc90))

### [0.10.41](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.40&sourceBranch=refs%2Ftags%2Fv0.10.41) (2021-12-15)


### Features

* improve dependency handling ([1093dc1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1093dc1d856ffbfdf48ed70ecbfdfb23982a976a))
* **projen:** add ncu to renovate ignore list ([b87bc92](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b87bc92e3c57c1741fa9c01c8a72bd0a40b74dd9))
* **projen:** use new assertions lib for tests ([69826a5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/69826a556217331a6b959ae99749f328267decf3))

### [0.10.40](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.39&sourceBranch=refs%2Ftags%2Fv0.10.40) (2021-12-07)


### Bug Fixes

* update snapshots of integration tests ([9a75610](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/9a7561040085ad08816fae00a9c13ba9ce7572e7))

### [0.10.39](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.38&sourceBranch=refs%2Ftags%2Fv0.10.39) (2021-12-07)


### Bug Fixes

* **watchful:** invalid syntax with default_zero ([f42dde9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f42dde9a77d90feed47a0e6e66beb969c70fbc33))

### [0.10.38](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.37&sourceBranch=refs%2Ftags%2Fv0.10.38) (2021-11-26)


### Features

* **projen:** add vulnerabilitiy pipeline (toggle) ([64f49a7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/64f49a741099c5ae41288c0551353d2d8c6400b2))

### [0.10.37](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.36&sourceBranch=refs%2Ftags%2Fv0.10.37) (2021-11-26)


### Features

* **projen:** add anti-tamper-check ([e5eeb2f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/e5eeb2f8aa8e14dc8b362dcc9fdf0a5115d5c58b))
* **projen:** add vulnerability check ([21161c6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/21161c66d7a33160d6316910cd3f566e8777e5fd))
* **projen:** introduce dedicated toggle settings ([8c5e3b1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/8c5e3b1f8f0b9595cfda216f25e2c3807fd38460))


### Bug Fixes

* **projen:** add dev dependency standard-version ([19706aa](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/19706aa57eff098ad8aa69595e20a5e551fded10))
* **projen:** allow override of depsUpgradeOptions ([b672fa4](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b672fa49eca16b62759ac2ca5e8b31c160e49b70))
* **watchful:** treat missing data properly ([80c2ccb](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/80c2ccbebac8662464401406ee98ea8fb114404c))

### [0.10.36](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.35&sourceBranch=refs%2Ftags%2Fv0.10.36) (2021-10-28)

### [0.10.35](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.34&sourceBranch=refs%2Ftags%2Fv0.10.35) (2021-10-28)


### Features

* **projen:** update command includes projen ([56ae20e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/56ae20e4c89242af91538b41c1204f7e6e410655))


### Bug Fixes

* **projen:** renovate should ignore jest-junit ([cd71da8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/cd71da80e3a3fe1a3b4d7131efc9ba831478b2fc))

### [0.10.34](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.33&sourceBranch=refs%2Ftags%2Fv0.10.34) (2021-10-26)


### Bug Fixes

* don't have empty jest version ([190d38a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/190d38a16b4d3c878d9e089c72196b96b25a7f86))

### [0.10.33](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.32&sourceBranch=refs%2Ftags%2Fv0.10.33) (2021-10-26)


### Features

* **projen:** remove constraint to jest@^26 ([60c3930](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/60c3930f7a41633d71c8a11a9fef9cf6b9e37d89))

### [0.10.32](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.31&sourceBranch=refs%2Ftags%2Fv0.10.32) (2021-10-04)


### Bug Fixes

* changed valid fields for projen itself due to breaking change for projen v 0.29.x ([33f6ae1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/33f6ae166e27f7708fe7b7ea8452015adacf9a87))

### [0.10.31](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.30&sourceBranch=refs%2Ftags%2Fv0.10.31) (2021-09-29)

### [0.10.30](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.29&sourceBranch=refs%2Ftags%2Fv0.10.30) (2021-09-24)

### [0.10.29](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.28&sourceBranch=refs%2Ftags%2Fv0.10.29) (2021-09-24)


### Bug Fixes

* **projen:** check for empty dir fails ([209cd3d](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/209cd3dd5eab516505e3a15cbf79d753812a979d))

### [0.10.28](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.27&sourceBranch=refs%2Ftags%2Fv0.10.28) (2021-09-15)


### Bug Fixes

* :bug: Updated the secrets file path ([275c80c](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/275c80c86638541997419152d6af7db003be428f))

### [0.10.27](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.26&sourceBranch=refs%2Ftags%2Fv0.10.27) (2021-09-15)

### [0.10.26](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.25&sourceBranch=refs%2Ftags%2Fv0.10.26) (2021-09-13)


### Features

* **fargate:** Added new parameter to datadog options to configure datadog docker image tag ([6cf5729](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6cf57293fe4fe95086e92ad8ba18f68cdb0d37a5))

### [0.10.25](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.24&sourceBranch=refs%2Ftags%2Fv0.10.25) (2021-09-08)

### [0.10.24](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.23&sourceBranch=refs%2Ftags%2Fv0.10.24) (2021-09-07)


### Bug Fixes

* updated integ test snapshot ([e4182ec](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/e4182ecd0f7606e1b03929025127a4afadd0ba85))

### [0.10.23](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.22&sourceBranch=refs%2Ftags%2Fv0.10.23) (2021-09-07)


### Bug Fixes

* **pipeline:** changed types of new params to be readonly ([571f70f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/571f70f5244677e1ba659e141b558e716d820b05))

### [0.10.22](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.21&sourceBranch=refs%2Ftags%2Fv0.10.22) (2021-09-07)


### Features

* :bug: aws-cdk dependency was not part of other ignore aws-cdk deps ([0707f23](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0707f231c51495d0b5862162597b501179416c68))
* **pipeline:** added new stage for secrets deployment ([a2ee6fd](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/a2ee6fde81434f8e2c83eeec49ceee086ee55005))
* **pipeline:** added new stage for secrets deployment ([f5ce1fb](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f5ce1fb0fdbf92b8c5402433f7c6e92543ceb7dd))


### Bug Fixes

* trying to fix issues with deployment ([90ff777](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/90ff777f242e047d491732381cb621317b752cb4))
* trying to fix issues with deployment ([a9347c5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/a9347c5deb6f2450f32f63db12a33c5bc9b101f7))
* trying to fix issues with deployment ([1414895](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1414895c3f6a286653ae4f2693524db3ba89901a))
* updated snapshot ([08b892f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/08b892f647095b9f6695f5f3fd2985d570a1d3b9))

### [0.10.20](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.19&sourceBranch=refs%2Ftags%2Fv0.10.20) (2021-08-11)

### [0.10.19](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.18&sourceBranch=refs%2Ftags%2Fv0.10.19) (2021-08-11)


### Bug Fixes

* **projen:** remove duplicate bracket ([bd25903](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/bd25903ea25f187a76682cd1fdb27588587cc860))

### [0.10.18](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.16&sourceBranch=refs%2Ftags%2Fv0.10.18) (2021-08-10)


### Features

* **projen:** introduce new CodePipeline construct ([0de908e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0de908edfbf7078cd491130fb20dc459b44602bd))


### Bug Fixes

* **projen:** add ts-node to renovate exclude list ([64cf080](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/64cf08067b72561528ab1251220c64060bd6d5bb))

### [0.10.17](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.16&sourceBranch=refs%2Ftags%2Fv0.10.17) (2021-08-10)


### Features

* **projen:** introduce new CodePipeline construct ([0c77bba](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0c77bba11753d6bf566823e62142252b0adbab9b))


### Bug Fixes

* **projen:** add ts-node to renovate exclude list ([9483f2f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/9483f2ffd6a9a7bd957f4d987a4a438c04e29cc3))

### [0.10.16](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.15&sourceBranch=refs%2Ftags%2Fv0.10.16) (2021-08-10)


### Features

* remove renovate toggle ([b19c54c](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b19c54c756297741a220366e9e713b37b9e84645))


### Bug Fixes

* **projen:** fix formatting issues ([7fc4951](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7fc4951951dc9e7fb0a159ea8b6c9945c82850e1))
* **projen:** ignoreDeps does not support wildcards ([c582fc2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c582fc2d645264658fbf2cb4a8a8e9c4514b3e6d))

### [0.10.15](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.14&sourceBranch=refs%2Ftags%2Fv0.10.15) (2021-08-05)


### Features

* **projen:** add component to reset sample code ([b34951a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b34951aff6413e7e9fb2fb6ce5882ebbc53bba8e))


### Bug Fixes

* do not publish image in branch build ([7bff9a1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7bff9a15e2c22f8ed7225980d439ffe1a5025a1c))

### [0.10.14](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.13&sourceBranch=refs%2Ftags%2Fv0.10.14) (2021-08-03)


### Features

* enable cdkVersionPinning as default ([4dbd23b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4dbd23b7f9798bbc9902cb87beae2724ef3e9a67))

### [0.10.13](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.12&sourceBranch=refs%2Ftags%2Fv0.10.13) (2021-08-03)


### Features

* have renovate defaults as part of projects ([6c5c685](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6c5c685859c98ff34facdd23b77734818270ca2b))

### [0.10.12](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.11&sourceBranch=refs%2Ftags%2Fv0.10.12) (2021-08-02)


### Features

* **projen:** add ignoreDeps option to renovate ([6d4e3cd](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6d4e3cd24d10931d94919d2dce6d43c1841364eb))

### [0.10.11](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.10&sourceBranch=refs%2Ftags%2Fv0.10.11) (2021-07-28)

### [0.10.10](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.9&sourceBranch=refs%2Ftags%2Fv0.10.10) (2021-07-28)


### Bug Fixes

* **projen:** fix problem with renovate config - removed marker ([7b902ad](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7b902ad0cd96919147f442496cb89e0ac7882333))

### [0.10.9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.8&sourceBranch=refs%2Ftags%2Fv0.10.9) (2021-07-28)


### Features

* add support for precommit hooks ([d0a0b43](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d0a0b437496914224179c66a93ff35fce194fc4c))

### [0.10.8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.7&sourceBranch=refs%2Ftags%2Fv0.10.8) (2021-07-27)


### Features

* **projen:** new component for git tag releases ([a72caec](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/a72caec394c39ae948e5daf8a717b991f7be816d))
* add .idea to gitignore ([300a745](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/300a74581b061b3193eb4f5c5de73d5569f68c35))

### [0.10.7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.5&sourceBranch=refs%2Ftags%2Fv0.10.7) (2021-07-26)


### Features

* **projen:** :sparkles: Added renovate config as part of projen. Currently still behind feature toggle: rioclaid-1747-renovate ([abf0cc6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/abf0cc6ae53c83c9d225d951d174eea15a0f467b))
* **projen:** enable branch pipeline ([387b245](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/387b24536bcd414bd9793759c838de43c17724ec))
* **projen:** use enum values for aligned tracking ([4c93444](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4c934449700f01a33552e14c10d0969884275d40))


### Bug Fixes

* **projen:** version conflicts with jest and ts-jest ([0acb37e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0acb37efb7eebb9d0340b6cbc3c5bfbac23f13c6))

### [0.10.6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.5&sourceBranch=refs%2Ftags%2Fv0.10.6) (2021-07-16)


### Bug Fixes

* **projen:** version conflicts with jest and ts-jest ([0acb37e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0acb37efb7eebb9d0340b6cbc3c5bfbac23f13c6))

### [0.10.5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.4&sourceBranch=refs%2Ftags%2Fv0.10.5) (2021-07-14)


### Bug Fixes

* **watchful:** :bug: removing toggle rioclaid-1857-datadog-threshold; removed threshold ([c8cb068](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c8cb068d361df02b29af74c356f07847fedc2940))

### [0.10.4](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.2&sourceBranch=refs%2Ftags%2Fv0.10.4) (2021-07-14)


### Bug Fixes

* **projen:** :fire: Removed experimental features and fixed data-stack interface issues ([7ca2b32](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7ca2b32bae9d9b3957baa13ce17f17d8b9059c45))
* **projen:** missing exports for renovate options ([1a44fd1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1a44fd1feb56bc260fc2e1a2c0cbe5160123aaeb))
* **watchful:** :bug: rolling out toggle rioclaid-1857-datadog-threshold to disable threshold values passed in options to datadog monitor api ([f2ba485](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f2ba48562ed8f3e5f7c2f118e6e3370526377b27))

### [0.10.3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.2&sourceBranch=refs%2Ftags%2Fv0.10.3) (2021-07-13)


### Bug Fixes

* **projen:** :fire: Removed experimental features and fixed data-stack interface issues ([7ca2b32](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7ca2b32bae9d9b3957baa13ce17f17d8b9059c45))
* **projen:** missing exports for renovate options ([1a44fd1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1a44fd1feb56bc260fc2e1a2c0cbe5160123aaeb))

### [0.10.2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.1&sourceBranch=refs%2Ftags%2Fv0.10.2) (2021-07-13)


### Features

* **projen:** have optional renovate config (toggle) ([d073075](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d073075c2a5f7f5d0773cbdec6ba31b7a58e3700))


### Bug Fixes

* **projen:** @aws-cdk/core:newStyleStackSynthesis toggle should always be enabled ([1599257](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1599257f9d0ee9aeaa94c10a127cdf51cf20acfa))

### [0.10.1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.10.0&sourceBranch=refs%2Ftags%2Fv0.10.1) (2021-07-12)


### Bug Fixes

* **watchful:** :bug: Datadog options were not set correctly for the monitors ([d6a3853](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d6a38538c5fd601e70330666f626acb663cead14))

## [0.10.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.9&sourceBranch=refs%2Ftags%2Fv0.10.0) (2021-07-12)


### ⚠ BREAKING CHANGES

* **fargate:** Changes the default logging mode for the Fargate
service to the Datadog log forwarder lambda provided by the
datadog-integration. If there is already a Cloudwatch log group in your
AWS account named like your service, you need to delete it so that the
construct can create it, again. In case you still want to use AWS
FireLens, configure the `datadogOption` to `loggingModeForService:
DataDogLoggingMode.AWS_FIRE_LENS`.

RLN-1451 RLN-1452

### Bug Fixes

* **fargate:** :boom: Long log messages split into invalid chunks ([3d8a4cf](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3d8a4cfacfcebf22c51dcea8fdcbadf09ee88653))
* **projen:** invalid regex in license check task ([340635b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/340635b8807e55f9e0339f5fcf72acbed2b5edc1))

### [0.9.9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.8&sourceBranch=refs%2Ftags%2Fv0.9.9) (2021-07-12)


### Bug Fixes

* feature toggle does not recognize string values ([998e9c0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/998e9c0cf1e4b92414894263c20b10be416178a5))

### [0.9.8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.7&sourceBranch=refs%2Ftags%2Fv0.9.8) (2021-07-09)


### Bug Fixes

* **projen:** use the right context ([30dc9f0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/30dc9f0e0ace0df244f9ba36acffeacac8ceffb5))

### [0.9.7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.6&sourceBranch=refs%2Ftags%2Fv0.9.7) (2021-07-09)


### Features

* add node license check component ([4f3afff](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4f3afffb3fda1a33ce486308a8aa37b2fc0d99f1))
* introduce feature toggles ([6e326d6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6e326d6c4b5ec78cd851a42d2a9b51c884cf7f9d))
* **projen:** added branch pipeline support for serverless app template ([36df935](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/36df9353189a7dacb48773077cd5fb6064aa824c))
* **projen:** prevent synth of github specific workflows ([9aff99b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/9aff99bfbfa22d4eda4c1247ab8219a51957cf14))

### [0.9.6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.5&sourceBranch=refs%2Ftags%2Fv0.9.6) (2021-07-01)


### Features

* **fargate:** :sparkles: exposing target group ([3805dbd](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3805dbdd0462d80d61d53136a0d2e41dbef2f436))
* **projen:** :sparkles: Adding branch pipeline stack to rio-fargate-web-app template ([d7d7c74](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d7d7c74207c74cca6bd824d4da94d8535273be30))

### [0.9.5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.4&sourceBranch=refs%2Ftags%2Fv0.9.5) (2021-06-29)


### Features

* **pipeline:** :sparkles: Make the construct bitbucketSourceAction configurable with the target zip file (master_repo.zip / branch_repo.zip) ([8ad869b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/8ad869b1b6948201bd9240291bb8fcbbde7eff8f))

### [0.9.4](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.3&sourceBranch=refs%2Ftags%2Fv0.9.4) (2021-06-25)

### [0.9.3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.2&sourceBranch=refs%2Ftags%2Fv0.9.3) (2021-06-17)

### [0.9.2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.1&sourceBranch=refs%2Ftags%2Fv0.9.2) (2021-06-16)

### [0.9.1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.9.0&sourceBranch=refs%2Ftags%2Fv0.9.1) (2021-06-16)


### Features

* disable collect of GCE tags ([80b960e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/80b960eb91f005b994f2490d3170569419633022))


### Bug Fixes

* **watchful:** :bug: Added evaluation_delay of 900 seconds to datadog monitors ([e1289d8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/e1289d88e29d921ca4b28d19f22ee6c12ca93d44))

## [0.9.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.18&sourceBranch=refs%2Ftags%2Fv0.9.0) (2021-05-20)


### ⚠ BREAKING CHANGES

* **fargate:** When creating the service, default desiredCount is 1; when updating the service, default uses the current task number.

### Features

* **fargate:** expose underlying fargate service" ([d96d09a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d96d09ac57294e3d681928f015feafc56450f146))


### Bug Fixes

* **fargate:** :boom: Remove default value of desiredCount ([6bb9e07](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6bb9e07591e6406b3a7e353f47a777b6514c283b))

### [0.8.18](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.17&sourceBranch=refs%2Ftags%2Fv0.8.18) (2021-05-12)

### [0.8.17](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.16&sourceBranch=refs%2Ftags%2Fv0.8.17) (2021-05-12)

### [0.8.16](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.15&sourceBranch=refs%2Ftags%2Fv0.8.16) (2021-05-11)

### [0.8.15](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.14&sourceBranch=refs%2Ftags%2Fv0.8.15) (2021-05-10)

### [0.8.14](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.13&sourceBranch=refs%2Ftags%2Fv0.8.14) (2021-05-10)


### Bug Fixes

* **watchful:** support multiple resources ([ffcd059](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ffcd059142d64eb7a3fe8618ba8f2e1ac2110807))
* remove hard-coded service name ([42f5fd2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/42f5fd21c55c4af6a0cb47663609f25ef6a86fa1))
* typos in sample code ([d1fe1a8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d1fe1a8aeca2baeec9bbb8f9c635db85c643cad0))

### [0.8.13](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.12&sourceBranch=refs%2Ftags%2Fv0.8.13) (2021-05-05)


### Features

* **projen:** use npm as package manager ([5d80f85](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5d80f85c38d52a1b974b577669e185f017bb5a20))

### [0.8.12](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.11&sourceBranch=refs%2Ftags%2Fv0.8.12) (2021-05-03)


### Features

* **projen:** :art: Make fargate-web-app template compatible with typescript projen file ([b52b14e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b52b14e5a8dafc8578bd6b5eed76d3ed1e8b5922))

### [0.8.11](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.10&sourceBranch=refs%2Ftags%2Fv0.8.11) (2021-04-30)


### Features

* use artifact bucket for caching ([855ae0c](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/855ae0c0d89614cd8180aeae54e627ea7b7ad676))

### [0.8.10](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.8&sourceBranch=refs%2Ftags%2Fv0.8.10) (2021-04-29)


### Features

* **fargate:** RioFargateService implements IConnectable ([1af03dc](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1af03dce723446c8081813a641eb7034dc9b9e1e))

### [0.8.9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.8&sourceBranch=refs%2Ftags%2Fv0.8.9) (2021-04-29)

### [0.8.8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.7&sourceBranch=refs%2Ftags%2Fv0.8.8) (2021-04-20)


### Bug Fixes

* **fargate:** :bug: Remove additional container dependecy in between datadog and firelens containers introduced in version 0.8.7 ([f19c594](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f19c59450f62db304d2d832c592b8518f6965e50))

### [0.8.7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.6&sourceBranch=refs%2Ftags%2Fv0.8.7) (2021-04-20)


### Bug Fixes

* **fargate:** :bug: Updated container depencies ([77b8e18](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/77b8e18edc84d37037231af78aabb8a981fb5c60))

### [0.8.6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.5&sourceBranch=refs%2Ftags%2Fv0.8.6) (2021-04-19)

### [0.8.5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.4&sourceBranch=refs%2Ftags%2Fv0.8.5) (2021-04-15)


### Features

* :lock: Use latest ssl policy for RioLoadBalancer ([5c44c64](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5c44c64fef0a1948376524cec99a66a4896b7acb))


### Bug Fixes

* **projen:** Fix smaller linter issues ([78a7534](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/78a75341a3f34bd1f33b4067ae4f056682677612))

### [0.8.4](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.3&sourceBranch=refs%2Ftags%2Fv0.8.4) (2021-04-14)


### Features

* **projen:** added container health check ([ad97c93](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ad97c931a7d85b87133d46fa6f36ab79182a4c44))

### [0.8.3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.2&sourceBranch=refs%2Ftags%2Fv0.8.3) (2021-04-12)


### Features

* **fargate:** :boom: BREAKING CHANGE: Properties deregistration_delay and slow_start are now exposed in RioFargateService construct ([cbb1ba6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/cbb1ba61d65d2f597f80f0075c44c2bdfae2a5b0))

### [0.8.2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.1&sourceBranch=refs%2Ftags%2Fv0.8.2) (2021-04-09)


### Features

* **fargate:** :sparkles: Add datadog service mapping for redis ([5136d8d](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5136d8d58838153ea49fe1e5ca8749fb3aac76ba))
* **projen:** new rio-serverless-app project ([5434c34](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/5434c34c31343d7afbae4f015f386fffa07a48ba))


### Bug Fixes

* **watchful:** :bug: Change datadog dimensions from upper case to lower case ([d1480df](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d1480df4b9cbe8575c916ff2ae9731b02e199c7f))

### [0.8.1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.8.0&sourceBranch=refs%2Ftags%2Fv0.8.1) (2021-03-29)


### Features

* **pipeline:** :sparkles: Re-added bitbucket source action constructs ([ca3b069](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ca3b06921e1b4a378af478fd64911a9fd8027c9f))

## [0.8.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.33&sourceBranch=refs%2Ftags%2Fv0.8.0) (2021-03-29)


### ⚠ BREAKING CHANGES

* constructs have been removed
RIOCLAID-1526

### Features

* :fire: cleanup of unused constructs ([8e186ec](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/8e186ec9584d8a981394a987e24bc69a23c1bb90))
* :sparkles: Updated new fargate web service construct ([bf9711a](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/bf9711afd3cac5dde450e40fcb8e572867f33c99))

### [0.7.33](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.32&sourceBranch=refs%2Ftags%2Fv0.7.33) (2021-03-10)


### Features

* allow version to be set ([c86ce9f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c86ce9f9d0155511993549fc285a46116cf54cff))

### [0.7.32](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.31&sourceBranch=refs%2Ftags%2Fv0.7.32) (2021-02-16)


### Bug Fixes

* get rid of warnings of missing route table ids ([7026928](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7026928129085f797eefdb0b52e2b81a34645ecb))
* **projen:** do not set outdir ([bc2ccc8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/bc2ccc89db58e5507e01bfc5958be8bebbe3c23f))

### [0.7.31](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.30&sourceBranch=refs%2Ftags%2Fv0.7.31) (2021-02-16)


### Features

* added version for claidometer ([c308a9b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c308a9b14a11725cfcbacbf0d373455d4e42030f))

### [0.7.30](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.30&sourceBranch=refs%2Ftags%2Fv0.7.30) (2021-02-15)

### [0.7.30](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.29&sourceBranch=refs%2Ftags%2Fv0.7.30) (2021-02-15)

### [0.7.29](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.28&sourceBranch=refs%2Ftags%2Fv0.7.29) (2021-02-10)


### Features

* Added Claidometer construct with test ([713ff69](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/713ff69aa6396fd243ba82ea9fb5f87d992f5034))

### [0.7.28](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.27&sourceBranch=refs%2Ftags%2Fv0.7.28) (2021-01-08)


### Bug Fixes

* invalid test-results folder without subdirectory ([3d17c35](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3d17c35611dddb3308020c8958fb159ee7c69288))

### [0.7.27](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.26&sourceBranch=refs%2Ftags%2Fv0.7.27) (2021-01-07)


### Bug Fixes

* render default DD tags also when no tags have been defined ([75bba2e](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/75bba2e71bcba9ed512fe30dbb7a2049b6757b9f))
* **pipeline:** use correct test-results folder ([7b1cd16](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/7b1cd1679b74f8bbfe994cb4f09605f3b69554a0))

### [0.7.26](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.25&sourceBranch=refs%2Ftags%2Fv0.7.26) (2021-01-07)


### Bug Fixes

* peer dependencies ([48343f6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/48343f69fdbd01d036108d85a4520129bc908136))

### [0.7.25](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.24&sourceBranch=refs%2Ftags%2Fv0.7.25) (2021-01-07)


### Features

* add dd-agent sidecar ([87be77b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/87be77bf6b2001e51b589681cb89d08122bb635c))
* **projen:** support weekly trigger and existing cfn templates ([69302e6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/69302e66c684cab199bd0d3e4f0e01a942d2258d))
* support test-results ([f566a73](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f566a7332192a533e0c4fa814374e91097abd80a))

### [0.7.24](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.23&sourceBranch=refs%2Ftags%2Fv0.7.24) (2021-01-05)

### [0.7.23](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.22&sourceBranch=refs%2Ftags%2Fv0.7.23) (2021-01-05)

### [0.7.22](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.21&sourceBranch=refs%2Ftags%2Fv0.7.22) (2021-01-05)

### [0.7.21](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.20&sourceBranch=refs%2Ftags%2Fv0.7.21) (2021-01-04)

### [0.7.20](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.19&sourceBranch=refs%2Ftags%2Fv0.7.20) (2021-01-04)

### [0.7.19](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.18&sourceBranch=refs%2Ftags%2Fv0.7.19) (2021-01-04)

### [0.7.18](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.17&sourceBranch=refs%2Ftags%2Fv0.7.18) (2021-01-04)


### Features

* add loadbalancer and fargate service ([3e9b6ff](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3e9b6ffa7a8882e5c01e421fa382dc96cb77f7f5))

### [0.7.17](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.16&sourceBranch=refs%2Ftags%2Fv0.7.17) (2020-12-23)


### Features

* **pipeline:** make gradle build more open ([1a4d55b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/1a4d55b269e75517dd410f99e62f79ce1ffded16))


### Bug Fixes

* **watchful:** type in ServiceName caused failures in DataDog monitors ([6652c0b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/6652c0bcbf54b86ebd9b9d3c83cac32140c8a632))

### [0.7.16](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.15&sourceBranch=refs%2Ftags%2Fv0.7.16) (2020-12-23)

### [0.7.15](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.14&sourceBranch=refs%2Ftags%2Fv0.7.15) (2020-12-23)


### Features

* synth action as workaround for cdk bug ([c4502f8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c4502f830a9d98f27b7f92eecf363e80da9ecb56))

### [0.7.14](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.13&sourceBranch=refs%2Ftags%2Fv0.7.14) (2020-12-23)


### Bug Fixes

* add missing repo_uri variable ([0729850](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/0729850c501624a817d316a24d95c573007fb707))

### [0.7.13](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.12&sourceBranch=refs%2Ftags%2Fv0.7.13) (2020-12-23)


### Features

* minor template improvements ([35cfce9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/35cfce9dcb86028ade0f43577d84b7f25da361e7))

### [0.7.12](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.11&sourceBranch=refs%2Ftags%2Fv0.7.12) (2020-12-22)


### Features

* projen and CdkPipeline support ([1071754](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/10717542c3a8d9be3aad5b465f25711d9e878c6f))


### Bug Fixes

* provide serviceName in datadog custom resource ([4db6dd7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4db6dd758da471d18c08274e70e71bc9fcca61dd))

### [0.7.11](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.10&sourceBranch=refs%2Ftags%2Fv0.7.11) (2020-12-21)

### [0.7.10](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.9&sourceBranch=refs%2Ftags%2Fv0.7.10) (2020-12-21)

### [0.7.9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.8&sourceBranch=refs%2Ftags%2Fv0.7.9) (2020-12-21)

### [0.7.8](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.7&sourceBranch=refs%2Ftags%2Fv0.7.8) (2020-12-21)

### [0.7.7](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.6&sourceBranch=refs%2Ftags%2Fv0.7.7) (2020-12-21)

### [0.7.6](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.5&sourceBranch=refs%2Ftags%2Fv0.7.6) (2020-12-21)

### [0.7.5](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.4&sourceBranch=refs%2Ftags%2Fv0.7.5) (2020-12-21)

### [0.7.4](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.3&sourceBranch=refs%2Ftags%2Fv0.7.4) (2020-11-03)

### [0.7.3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.2&sourceBranch=refs%2Ftags%2Fv0.7.3) (2020-10-15)


### Features

* **watchful:** Default alarms for DynamoDb tables ([11d0419](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/11d0419525ffb2c24f7988be0398f4374e79662c))

### [0.7.2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.1&sourceBranch=refs%2Ftags%2Fv0.7.2) (2020-10-13)

### [0.7.1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.7.0&sourceBranch=refs%2Ftags%2Fv0.7.1) (2020-10-13)

## [0.7.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.6.0&sourceBranch=refs%2Ftags%2Fv0.7.0) (2020-10-13)


### Features

* **watchful:** :sparkles: Default alarms for ALB and target groups ([29d2bb9](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/29d2bb98baae006801f8b3e4b8fdc6d7448d2924))
* **watchful:** :sparkles: Support DataDog Monitors ([837f65f](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/837f65fa6285ab81850a5dd096940367bb6edb27))
* **watchful:** Default alarms for ECS services ([d56ee24](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/d56ee245666236f23453a9e1803feec9130a9242))
* **watchful:** New default alarms for DocumentDB ([ae5acbe](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ae5acbe8ccc1ba5637bfb7e9ea6c930f2a878206))
* Improve DataDog Monitor query generation ([02df4ac](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/02df4acc45978b5b5374eb8844f00d55b593682f))


### Bug Fixes

* **watchful:** :bug: CloudWatch metrics in camel case are separated by underscore in DataDog ([bebde9c](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/bebde9c14aab70cc87f0a8b8112e5c6d91dc37a4))
* **watchful:** fix: cloudformation template generation ([3801df3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/3801df373b269c2eb44a531143fc93d25bd08556))

## [0.6.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.5.0&sourceBranch=refs%2Ftags%2Fv0.6.0) (2020-07-08)


### Features

* **pipeline:** Use `npm ci` to install dependencies ([acaa012](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/acaa012d3063e110017365a4516591c47d680ba0))

## [0.5.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.4.2&sourceBranch=refs%2Ftags%2Fv0.5.0) (2020-07-07)


### Features

* **pipeline:** Use Node v12 in CdkBuildAction ([60f523b](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/60f523b35f7d40f38091d4cf40ab5a94fea5962c))

### [0.4.2](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.4.1&sourceBranch=refs%2Ftags%2Fv0.4.2) (2020-06-30)


### Bug Fixes

* **watchful:** Allow to set SNS alarm topic or use default ([b893997](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b8939974214f28494e46a749b4d19e7019af233c))

### [0.4.1](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.4.0&sourceBranch=refs%2Ftags%2Fv0.4.1) (2020-06-29)


### Bug Fixes

* **pipeline:** Fix syntax error in license check ([4a90bbd](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/4a90bbdc0abca78704626c2bcbb2974d12d49510))

## [0.4.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.3.0&sourceBranch=refs%2Ftags%2Fv0.4.0) (2020-06-24)


### Features

* **watchful:** :sparkles: Create alarms automatically ([b625e33](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/b625e33ee695e7ae4c7911c1ef85ddd83d72f5b6))

## [0.3.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.2.0&sourceBranch=refs%2Ftags%2Fv0.3.0) (2020-06-17)


### Features

* :pushpin: Use pinned DataDog agent version ([f73bb98](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/f73bb981ba56858971031d648f91a9f267452cb4))
* :sparkles: New methods to get RIO LandingZone VPC and HostedZone ([c91c6fb](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/c91c6fbb937f9802192e401c1e184df6f2688eff))
* Objects in artifact bucket expires after 180 days ([41542d0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/41542d0757c63efdc51e69896927f30a1c5e3d99)), closes [#RIOCLAID-480](https://collaboration.msi.audi.com/jira/browse/RIOCLAID-480)

## [0.2.0](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/compare/commits?targetBranch=refs%2Ftags%2Fv0.1.0&sourceBranch=refs%2Ftags%2Fv0.2.0) (2020-05-18)


### Features

* Artifact bucket adds lifecycle to expire objects after 365 days #RIOCLAID-480 ([ca81ee3](https://collaboration.msi.audi.com/stash/projects/RIODEV/repos/cdk-constructs/commits/ca81ee399f7acc432055ed1c368b3b54557441f3)), closes [#RIOCLAID-480](https://collaboration.msi.audi.com/jira/browse/RIOCLAID-480)

## 0.1.0 (2020-05-14)
