import * as cdk from '@aws-cdk/core';
export declare type DatadogAlertType = 'opsgenie' | 'slack';
export interface DatadogMonitorProps {
    serviceName: string;
    alertTypes?: DatadogAlertType[];
    autoCloseOpsGenieAlerts?: boolean;
    monitor: {
        [key: string]: any;
    };
}
export declare class DatadogMonitor {
    constructor(stack: cdk.Construct, id: string, props: DatadogMonitorProps);
}
